org.optaplanner.core.impl.localsearch.scope

## Class LocalSearchStepScope<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.phase.scope.AbstractStepScope<Solution_>
  - - org.optaplanner.core.impl.localsearch.scope.LocalSearchStepScope<Solution_>

- Type Parameters:
    `Solution_` - the solution type, the class with the `PlanningSolution` annotation

      public class LocalSearchStepScope<Solution_>
      extends AbstractStepScope<Solution_>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.phase.scope.AbstractStepScope

      `bestScoreImproved, clonedSolution, score, stepIndex`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalSearchStepScope(LocalSearchPhaseScope<Solution_> phaseScope)`
    `LocalSearchStepScope(LocalSearchPhaseScope<Solution_> phaseScope, int stepIndex)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Long` | `getAcceptedMoveCount()`
    `LocalSearchPhaseScope<Solution_>` | `getPhaseScope()`
    `Long` | `getSelectedMoveCount()`
    `Move<Solution_>` | `getStep()`
    `String` | `getStepString()`
    `double` | `getTimeGradient()`
    `Move<Solution_>` | `getUndoStep()`
    `void` | `setAcceptedMoveCount(Long acceptedMoveCount)`
    `void` | `setSelectedMoveCount(Long selectedMoveCount)`
    `void` | `setStep(Move<Solution_> step)`
    `void` | `setStepString(String stepString)`
    `void` | `setTimeGradient(double timeGradient)`
    `void` | `setUndoStep(Move<Solution_> undoStep)`

    - ### Methods inherited from class org.optaplanner.core.impl.phase.scope.AbstractStepScope

      `createOrGetClonedSolution, getBestScoreImproved, getClonedSolution, getScore, getScoreDirector, getStepIndex, getWorkingRandom, getWorkingSolution, setBestScoreImproved, setClonedSolution, setScore, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalSearchStepScope

          public LocalSearchStepScope(LocalSearchPhaseScope<Solution_> phaseScope)

    - #### LocalSearchStepScope

          public LocalSearchStepScope(LocalSearchPhaseScope<Solution_> phaseScope,
                                      int stepIndex)

  - ### Method Detail

    - #### getPhaseScope

          public LocalSearchPhaseScope<Solution_> getPhaseScope()

      Specified by:
        `getPhaseScope` in class `AbstractStepScope<Solution_>`

    - #### getTimeGradient

          public double getTimeGradient()

    - #### setTimeGradient

          public void setTimeGradient(double timeGradient)

    - #### getStep

          public Move<Solution_> getStep()

    - #### setStep

          public void setStep(Move<Solution_> step)

    - #### getStepString

          public String getStepString()

      Returns:
        null if logging level is to high

    - #### setStepString

          public void setStepString(String stepString)

    - #### getUndoStep

          public Move<Solution_> getUndoStep()

    - #### setUndoStep

          public void setUndoStep(Move<Solution_> undoStep)

    - #### getSelectedMoveCount

          public Long getSelectedMoveCount()

    - #### setSelectedMoveCount

          public void setSelectedMoveCount(Long selectedMoveCount)

    - #### getAcceptedMoveCount

          public Long getAcceptedMoveCount()

    - #### setAcceptedMoveCount

          public void setAcceptedMoveCount(Long acceptedMoveCount)

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.